[payment-is-showing.https.html]
  disabled:
    if os == "android" and not e10s: https://bugzilla.mozilla.org/show_bug.cgi?id=1526265
  expected:
    if debug and not e10s and (os == "linux"): OK
    TIMEOUT
  [Simple payment-relevant browsing context's payment request is showing boolean is true]
    expected: FAIL

  [Navigating an nested browsing context sets 'payment request is showing boolean' back to false]
    expected: FAIL

  [Given multiple nested browsing contexts, and an iframe calls show() first, other nested browsing contexts can't show a request.]
    expected:
      if not debug and webrender and (os == "linux"): TIMEOUT
      if os == "android" and not e10s: NOTRUN
      FAIL

  [Using a popup window prevents the top-browsing context from showing a payment request]
    expected: FAIL

  [An iframe cannot show a payment request if the top-level window is already showing one.]
    expected: FAIL

  [Given multiple nested browsing contexts, and popup calls show() first, other nested browsing contexts can't show a request.]
    expected:
      if os == "android" and not e10s: NOTRUN
      FAIL

  [The top browsing context can only show one payment sheet at a time.]
    expected: FAIL

  [Navigating an iframe as a nested browsing context sets 'payment request is showing boolean' to false.]
    expected:
      if debug and e10s and (os == "linux"): TIMEOUT
      if debug and webrender and (os == "linux"): TIMEOUT
      if debug and (os == "mac"): TIMEOUT
      if os == "win": TIMEOUT
      if not debug and not webrender and e10s and (os == "linux"): TIMEOUT
      if not debug and webrender and (os == "linux"): NOTRUN
      if debug and not webrender and e10s and (os == "linux"): TIMEOUT
      if not debug and e10s and (os == "linux"): TIMEOUT
      if not debug and (os == "mac"): TIMEOUT
      if os == "android" and not e10s: NOTRUN
      FAIL

  [Given multiple nested browsing contexts, and window calls show() first, other nested browsing contexts can't show a request.]
    expected:
      if os == "android" and not e10s: TIMEOUT
      FAIL

  [If an iframe shows a payment request, the top-level browsing context can't also show one.]
    expected: FAIL

  [Navigating a popup as a nested browsing context sets 'payment request is showing boolean' to false.]
    expected:
      if e10s and (os == "linux"): NOTRUN
      if os == "mac": NOTRUN
      if os == "win": NOTRUN
      if os == "android" and not e10s: NOTRUN
      FAIL

